var TSUI;
(function (TSUI) {
    (function (UI) {
        var ListItem = (function () {
            function ListItem(text, value) {
                this.OnTextChange = new TSUI.Events.ListItem_TextChangeEvent();
                this.Index = -1;
                this._Value = null;
                this._Text = "";
                this._Value = value;
                this._Text = text;
            }
            ListItem.prototype.Value = function (value) {
                if (typeof value === "undefined") { value = null; }
                if (value !== null) {
                    this._Value = value;
                }
                return this._Value;
            };

            ListItem.prototype.Text = function (value) {
                if (typeof value === "undefined") { value = null; }
                if (value !== null) {
                    this._Text = value;
                    this.OnTextChange.Invoke(new TSUI.Events.ListItem_TextChangeEventArgs(this));
                }
                return this._Text;
            };
            return ListItem;
        })();
        UI.ListItem = ListItem;
    })(TSUI.UI || (TSUI.UI = {}));
    var UI = TSUI.UI;
})(TSUI || (TSUI = {}));
